# Generated by Django 3.2.19 on 2023-06-17 08:29

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Book',
            fields=[
                ('author', models.TextField(max_length=30)),
                ('title', models.TextField(max_length=60)),
                ('genre', models.TextField(max_length=25)),
                ('isbn', models.CharField(max_length=18, unique=True, validators=[django.core.validators.RegexValidator(message='13 digits', regex='^\\d{13}$')])),
                ('id', models.AutoField(primary_key=True, serialize=False)),
            ],
        ),
    ]
